> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/server/es/knowledge-base/troubleshooting-articles/the-specified-redirect_uri-is-not-valid-for-this-client-application.md).

# The specified 'redirect\_uri' is not valid for this client application

Corrige un URI de redirección no válido o un error de inicio de sesión de Entra ID en Devolutions Server corrigiendo la configuración de Access URI, que distingue entre mayúsculas y minúsculas, en IIS

Se muestra el siguiente error al intentar iniciar sesión en la página web de Devolutions Server:

```
error:invalid_request
error_description:The specified 'redirect_uri' is not valid for this client application.
error_uri:https://documentation.openiddict.com/errors/ID2043
```

Al intentar iniciar sesión con la autenticación de Microsoft Entra ID en Remote Desktop Manager, es posible que reciba el siguiente mensaje de error:

```
Unable to login with Microsoft Entra ID. Please contact your administrator. Error: Object reference not set to an instance of an object.
```

### Solución

{% hint style="success" %}
El Access URI distingue entre mayúsculas y minúsculas y debe respetar el nombre de host del certificado.
{% endhint %}

Para resolver estos problemas, compruebe que el Access URI esté correctamente configurado en la pestaña IIS de la configuración de Devolutions Server. Consulte [Access URI](/server/es/knowledge-base/knowledge-base-articles/access-uri-format.md) para obtener más información.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/server/es/knowledge-base/troubleshooting-articles/the-specified-redirect_uri-is-not-valid-for-this-client-application.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
